smpl @all

table(3,3) confirm

equation eq01ndf.ls(nodf) mpg c weight

!uy=@mean(mpg)
!ux=@mean(weight)

series yd=mpg-!uy
series xd=weight-!ux

series b1=xd*yd
series b2=xd^2

'----------------------------
'x[^̌vZ

!beta1=@sum(b1)/@sum(b2)

eq01.makeresids resid01

!sig2=@var(resid01)

!seb=@sqrt(!sig2/@sum(b2))
'-------------------------------
'At@̌vZ

!alpha1=@mean(mpg)-!beta1*@mean(weight)

!sea=@sqrt((!sig2*@sumsq(weight))/(@obs(resid01)*@sum(b2)))


confirm(1,1)="Variable"
confirm(2,1)="C"
confirm(3,1)="WEIGHT"
confirm(1,2)="Coefficient"
confirm(1,3)="Std.Error"

confirm(2,2)=!alpha1
confirm(3,2)=!beta1

confirm(2,3)=!sea
confirm(3,3)=!seb


show  confirm



